haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Union

Description

Parsing of unions.

# Documentation

data Union Source #

Constructors

Union |

Fields

- unionIsBoxed :: Bool
- unionAllocationInfo :: AllocationInfo
- unionDocumentation :: Documentation
- unionSize :: Int
- unionTypeInit :: Maybe Text
- unionFields :: [Field]
- unionMethods :: [Method]
- unionCType :: Maybe Text
- unionDeprecated :: Maybe DeprecationInfo

#### Instances

Instances details

Show Union Source # |
Instance details Defined in Data.GI.GIR.Union Methods showsPrec :: Int -> Union -> ShowS Source # show :: Union -> String Source # showList :: [Union] -> ShowS Source #

parseUnion :: Parser (Name, Union) Source #